List Logs
Authorization
1 alternative authorization method available — see the spec for details.
Query parameters
Filter logs by message state
| Value | Description |
|---|---|
| CREATED | The message has been accepted and stored in QStash |
| ACTIVE | The task is currently being processed by a worker. |
| RETRY | The task has been scheduled to retry. |
| ERROR | The execution threw an error and the task is waiting to be retried or failed. |
| IN_PROGRESS | The task is in one of ACTIVE, RETRY or ERROR state. |
| DELIVERED | The message was successfully delivered. |
| FAILED | The task has errored too many times or encountered an error that it cannot recover from. |
| CANCEL_REQUESTED | The cancel request from the user is recorded. |
| CANCELLED | The cancel request from the user is honored. |
CREATEDACTIVERETRYERRORIN_PROGRESSDELIVEREDCANCEL_REQUESTEDCANCELLEDFilter logs by label. Supports multi-value filtering. You can pass multiple values to match messages with any of the given labels (OR logic).
Examples:
label=my_labellabel=label_1&label=label_2